SET FEEDBACK OFF

REM ========================================
REM  Definim un llistat de productes bsics
REM ========================================

EXECUTE flxEsborraTaula('KProductes');
CREATE TABLE KProductes (
  Id NUMBER(11) PRIMARY KEY,
  Nom VARCHAR2(50) NOT NULL,
  Preu NUMBER(7,2) DEFAULT 0.0,
  CategoriaId NUMBER(11),
  PreuOferta NUMBER(7,2) DEFAULT NULL);
  
INSERT INTO KProductes VALUES ( 1, 'Sof chaiselong 3p'          , 1299.99, 30, NULL    );
INSERT INTO KProductes VALUES ( 2, 'Sof chaiselong 4p'          , 1449.99, 30, NULL    );
INSERT INTO KProductes VALUES ( 3, 'Butaca mod. Confort 12a'     ,  451.99, 30, NULL    );
INSERT INTO KProductes VALUES ( 4, 'Butaca mod. Confort 12b'     ,  333.33, 30, NULL    );
INSERT INTO KProductes VALUES ( 5, 'Taula menjador 4/6p'         ,  599.99, 40, NULL    );
INSERT INTO KProductes VALUES ( 6, 'Taula menjador 6p'           ,  649.99, 40, NULL    );
INSERT INTO KProductes VALUES ( 7, 'Taula menjador 8p'           ,  769.99, 40, NULL    );
INSERT INTO KProductes VALUES ( 8, 'Taula menjador 8/10p'        ,  810.00, 40, NULL    );
INSERT INTO KProductes VALUES ( 9, 'Cadira model Jrgens'        ,   30.00, 40, NULL    );
INSERT INTO KProductes VALUES (10, 'Cadira model Charlie'        ,   45.00, 40, NULL    );
INSERT INTO KProductes VALUES (11, 'Mirall 50x70'                ,   45.00, 20,   39.99 );
INSERT INTO KProductes VALUES (12, 'Mirall 50x60'                ,   40.00, 20, NULL    );
INSERT INTO KProductes VALUES (13, 'Mirall 50x90'                ,   55.00, 20,   49.99 );
INSERT INTO KProductes VALUES (14, 'Mirall 50x80'                ,   50.00, 20, NULL    );
INSERT INTO KProductes VALUES (15, 'Barra tovalloles cromada'    ,   15.00, 20, NULL    );
INSERT INTO KProductes VALUES (16, 'Barra tovalloles daurada'    ,   15.00, 20, NULL    );
INSERT INTO KProductes VALUES (17, 'Paella 14cm'                 ,    2.30, 10, NULL    );
INSERT INTO KProductes VALUES (18, 'Paella 20cm'                 ,    2.60, 10,    0.99 );
INSERT INTO KProductes VALUES (19, 'Paella 26cm'                 ,    2.90, 10, NULL    );
INSERT INTO KProductes VALUES (20, 'Cassola 14cm'                ,    2.55, 10, NULL    );
INSERT INTO KProductes VALUES (21, 'Cassola 20cm'                ,    2.85, 10, NULL    );
INSERT INTO KProductes VALUES (22, 'Cassola 26cm'                ,    3.15, 10, NULL    );
INSERT INTO KProductes VALUES (23, 'Pack cuinar'                 ,   99.99, 10, NULL    );
INSERT INTO KProductes VALUES (24, 'Tovalloles de paper 50u'     ,    3.00, 10, NULL    );
INSERT INTO KProductes VALUES (25, 'Conjunt coberteria or'       ,  517.35, 10, NULL    );
INSERT INTO KProductes VALUES (26, 'Conjunt coberteria plata'    ,  505.00, 10, NULL    );
INSERT INTO KProductes VALUES (27, 'Moble TV/Vdeo'              ,  115.00, 50, NULL    );
INSERT INTO KProductes VALUES (28, 'Moble Biblioteca'            ,  170.00, 50, NULL    );
INSERT INTO KProductes VALUES (29, 'Mdul calaix terra'          ,   42.00, 50, NULL    );
INSERT INTO KProductes VALUES (30, 'Mdul calaix aire'           ,   45.00, 50, NULL    );
INSERT INTO KProductes VALUES (31, 'Mdul calaix addicional'     ,   37.00, 50, NULL    );
INSERT INTO KProductes VALUES (32, 'Llit 180x80'                 ,   56.00, 60,   14.99 );
INSERT INTO KProductes VALUES (33, 'Llit 190x90'                 ,   70.00, 60, NULL    );
INSERT INTO KProductes VALUES (34, 'Llit 190x110'                ,   95.00, 60, NULL    );
INSERT INTO KProductes VALUES (35, 'Llit 190x135'                ,  100.00, 60, NULL    );
INSERT INTO KProductes VALUES (36, 'Llit 190x150'                ,  120.00, 60, NULL    );
INSERT INTO KProductes VALUES (37, 'Llit 190x200'                ,  230.00, 60, NULL    );
INSERT INTO KProductes VALUES (38, 'Capalera llit 100cm'        ,   40.00, 60, NULL    );
INSERT INTO KProductes VALUES (39, 'Capalera llit 120cm'        ,   45.00, 60, NULL    );
INSERT INTO KProductes VALUES (40, 'Capalera llit 150cm'        ,   50.00, 60, NULL    );
INSERT INTO KProductes VALUES (41, 'Capalera llit 165cm'        ,   55.00, 60, NULL    );
INSERT INTO KProductes VALUES (42, 'Capalera llit 215cm'        ,   65.00, 60, NULL    );
INSERT INTO KProductes VALUES (43, 'Tauleta de nit Grlfens'     ,  115.00, 60, NULL    );
INSERT INTO KProductes VALUES (44, 'Tauleta de nit Pagoda'       ,   85.00, 60, NULL    );
INSERT INTO KProductes VALUES (45, 'Llum de nit Grlfens'        ,   12.00, 60, NULL    );
INSERT INTO KProductes VALUES (46, 'Llum de nit Pagoda'          ,   11.00, 60,    9.99 );
INSERT INTO KProductes VALUES (47, 'Taula d''escriptori Pagoda'  ,   25.00, 70,   19.99 );
INSERT INTO KProductes VALUES (48, 'Taula d''escriptori Grlfens',   65.00, 70, NULL    );
INSERT INTO KProductes VALUES (49, 'Prestatge Pagoda 200 cm'     ,   15.00, 70,   12.99 );
INSERT INTO KProductes VALUES (50, 'Prestatge Pagoda 175 cm'     ,   12.50, 70, NULL    );
INSERT INTO KProductes VALUES (51, 'Prestatge Pagoda 150 cm'     ,   10.00, 70, NULL    );
INSERT INTO KProductes VALUES (52, 'Prestatge Pagoda 100 cm'     ,    7.50, 70, NULL    );
INSERT INTO KProductes VALUES (53, 'Prestatge Pagoda  80 cm'     ,    6.00, 70, NULL    );
INSERT INTO KProductes VALUES (54, 'Prestatge Pagoda  65 cm'     ,    5.00, 70, NULL    );
INSERT INTO KProductes VALUES (55, 'Prestatge Pagoda  50 cm'     ,    4.00, 70, NULL    );
INSERT INTO KProductes VALUES (56, 'Prestatge Pagoda  35 cm'     ,    3.00, 70, NULL    );
INSERT INTO KProductes VALUES (57, 'Prestatge Grlfens 200 cm'   ,   25.00, 70, NULL    );
INSERT INTO KProductes VALUES (58, 'Prestatge Grlfens 175 cm'   ,   22.50, 70, NULL    );
INSERT INTO KProductes VALUES (59, 'Prestatge Grlfens 150 cm'   ,   20.00, 70, NULL    );
INSERT INTO KProductes VALUES (60, 'Prestatge Grlfens 100 cm'   ,   17.50, 70, NULL    );
INSERT INTO KProductes VALUES (61, 'Vitrina biblioteca Pagoda'   ,   87.50, 70,   79.99 );
INSERT INTO KProductes VALUES (62, 'Vitrina biblioteca Grlfens' ,  115.00, 70, NULL    );
INSERT INTO KProductes VALUES (63, 'Llit nido 4 calaixos'        ,  232.00, 80, NULL    );
INSERT INTO KProductes VALUES (64, 'Llit nido 8 calaixos'        ,  315.00, 80, NULL    );
INSERT INTO KProductes VALUES (65, 'Llit doble 4 calaixos'       ,  476.00, 80, NULL    );
INSERT INTO KProductes VALUES (66, 'Llit senzill colors 190x90'  ,   80.00, 80, NULL    );
INSERT INTO KProductes VALUES (67, 'Taula juga i pinta'          ,   32.00, 80, NULL    );
INSERT INTO KProductes VALUES (68, 'Cadireta'                    ,   14.50, 80, NULL    );
INSERT INTO KProductes VALUES (69, 'Prestatge Nns 100 cm'      ,    2.50, 80, NULL    );
INSERT INTO KProductes VALUES (70, 'Prestatge Nns  75 cm'      ,    2.00, 80, NULL    );
INSERT INTO KProductes VALUES (71, 'Prestatge Nns  50 cm'      ,    1.50, 80, NULL    );
INSERT INTO KProductes VALUES (72, 'Porta CD 50u'                ,    5.00, 90, NULL    );
INSERT INTO KProductes VALUES (73, 'Porta CD 100u'               ,    6.00, 90, NULL    );
INSERT INTO KProductes VALUES (74, 'Mnec de porta Grlfens Or'  ,    0.50, 90, NULL    );
INSERT INTO KProductes VALUES (75, 'Mnec de porta Pagoda Or'    ,    0.50, 90, NULL    );
INSERT INTO KProductes VALUES (76, 'Mnec de porta Pagoda Crom'  ,    0.60, 90, NULL    );
INSERT INTO KProductes VALUES (77, 'Mnec de porta Grlfens Crom',    0.60, 90, NULL    );
INSERT INTO KProductes VALUES (78, 'Manta cotxe 200x150'         ,    1.00, 90,    0.99 );

SET FEEDBACK ON
